Page MenuHomePhabricator

cleanup reprepro configuration for elasticsearch-curator
Closed, ResolvedPublic

Description

We recently had an issue with conflicting versions of elasticsearch and curator being deployed. This made me have a quick look into where we pull curator from, and it looks messy to me. I'm unsure of how to clean it properly, but here are the parts I understand.

  • curator is required by spicerack, thus it was added to the spicerack component in reprepro (see gerrit for details).
  • elastic provided packages (elasticsearch, kibana, logstash) are in specific components for each minor version (thirdparty/elastic55, thirdparty/elastic56, ...) with the appropriate configuration to pull the packages from the elastic apt repo. This allows smoother upgrade path between versions, with different components being used for the logstash and the cirrus elasticsearch clusters.
  • there is still some config to pull elasticsearch-curator in main>thirdparty, but it looks outdated, it references http://packages.elastic.co instead of https://artifacts.elastic.co

It looks to me like the natural place for curator packages is in the same elastic55 / elastic56 / ... components as the rest of the packages provided by elastic.

Event Timeline

Gehel created this task.Feb 15 2019, 10:33 AM
Restricted Application edited projects, added Discovery-Search; removed Discovery-Search (Current work). · View Herald TranscriptFeb 15 2019, 10:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
colewhite triaged this task as Normal priority.Feb 15 2019, 7:36 PM
debt moved this task from needs triage to Ops / SRE on the Discovery-Search board.Feb 21 2019, 6:06 PM

Change 498367 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Remove obsolete elasticsearch-curator sync definition

https://gerrit.wikimedia.org/r/498367

Change 498367 merged by Muehlenhoff:
[operations/puppet@production] Remove obsolete elasticsearch-curator sync definition

https://gerrit.wikimedia.org/r/498367

Change 498372 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] aptrepo: add component for elasticsearch-curator

https://gerrit.wikimedia.org/r/498372

Change 498372 merged by Gehel:
[operations/puppet@production] aptrepo: add component for elasticsearch-curator

https://gerrit.wikimedia.org/r/498372

Change 498390 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] logstash: elasticsearch-curator is now managed in its own component

https://gerrit.wikimedia.org/r/498390

Change 498390 merged by Gehel:
[operations/puppet@production] logstash: elasticsearch-curator is now managed in its own component

https://gerrit.wikimedia.org/r/498390

Gehel claimed this task.Mar 22 2019, 3:09 PM
debt closed this task as Resolved.Fri, Apr 5, 10:53 PM